#!/usr/bin/gnuplot

set xl "eccentricity {/Helvetica-Oblique e}"
set yl "normalized number of asteroids {/Helvetica-Oblique N}(>{/Helvetica-Oblique e})"

set xr [0.06:0.26]
set xtics 0.02

set arrow from graph 0,first 0.5 rto graph 1,first 0 nohead lt 0
set arrow from 0.163,graph 0 rto 0,graph 1 nohead lt 0

p \
  "0003.2.out_h" u 1:3 w lp t "3 My",\
  "0100.0.out_h" u 1:3 w lp t "100",\
  "0200.0.out_h" u 1:3 w lp t "200",\
  "0300.0.out_h" u 1:3 w lp t "300",\
  "0400.0.out_h" u 1:3 w lp t "400",\
  "0499.0.out_h" u 1:3 w lp t "500",\
  "ini.out_h" u 1:3 w l lw 4 dt 2 lc 'gray' t "initial",\
  "obs.out_h" u ($1-0.009):3 w l lw 4 dt 1 lc 'green' t "observed",\

pa -1

set term png small
set out "ehist.png"
rep

set term post eps enh color solid "Helvetica" 18
set out "ehist.eps"
rep

system("eps2png ehist.eps")

q

