#!/usr/bin/awk -f

# hc.awk
# Construct a cumulative histogram from a differential one.
# Miroslav Broz (miroslav.broz@email.cz), Feb 24th 2011

BEGIN{
  i=0;
}
(NF>0){
  i++;
  D[i] = $1;
  dN[i] = 1;
}
(NF==0){
  PRN();
}
ENDFILE{
  PRN();
}

func PRN(){
  n=i;
  s = 0.0;
  for (i=1; i<=n; i++) {
    s = s + dN[i];
  }
  Ntot = s;
  
  N_gt_D = 0.;
  for (i=n; i>=1; i=i-1) {
    N_gt_D = N_gt_D + dN[i];
    print D[i], N_gt_D, N_gt_D/Ntot;
  }
  i=0;
  print "";
}

